Overview | Package | Class | Use | Tree | Deprecated | Index
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.emf.ecp.core
Interface ECPProject

All Superinterfaces:
  Comparable<ECPElement>, ECPContainer, ECPElement, ECPPropertiesAware, ECPProviderAware, ECPRepositoryAware, org.eclipse.emf.edit.domain.IEditingDomainProvider

All Known Subinterfaces:
  InternalProject

All Known Implementing Classes:
  ECPProjectImpl

    public interface ECPProject

extends ECPContainer, ECPRepositoryAware, org.eclipse.emf.edit.domain.IEditingDomainProvider

This class describes a Project. A project has a name, a label. It has zero or one `ECPRepository` and one `ECPProvider`.

Author:
  Eike Stepper, Eugen Neufeld, Jonas Helming

Field Summary
`static String` | `TYPE` The type of the ECPElement.

Method Summary
`void` | `close()` This closes an opened object.
`void` | `deleteElements(Collection<Object> objects)` Deletes a collection of `Object`s by delegating the task to the provider.
`org.eclipse.emf.common.util.EList<Object>` | `getContents()` Returns the list of the direct content objects; each is of type Object.
`boolean` | `hasDirtyContents()` Checks whether the model, associated with this project is dirty.
`boolean` | `isOpen()` Whether an object is open or not.
`void` | `open()` This opens a closed object.
`void` | `saveContents()` Saves the currently pending changes of the model.

Methods inherited from interface org.eclipse.emf.ecp.core.util.ECPContainer
`canDelete, delete`

Methods inherited from interface org.eclipse.emf.ecp.core.util.ECPElement
`getName`

Methods inherited from interface java.lang.Comparable
`compareTo`

Methods inherited from interface org.eclipse.emf.ecp.core.util.ECPPropertiesAware
`getProperties`

Methods inherited from interface org.eclipse.emf.ecp.core.util.ECPRepositoryAware
`getRepository`

Methods inherited from interface org.eclipse.emf.ecp.core.util.ECPProviderAware
`getProvider`

Methods inherited from interface org.eclipse.emf.edit.domain.IEditingDomainProvider
`getEditingDomain`

Field Detail

### TYPE

    static final String TYPE

  The type of the ECPElement.

  See Also:
    Constant Field Values

Method Detail

### getContents

    org.eclipse.emf.common.util.EList<Object> getContents()

  Returns the list of the direct content objects; each is of type Object. The contents may be directly modified. Adding an object will remove it from the previous container;

  Returns:
    A list of `Object`

### saveContents

    void saveContents()

  Saves the currently pending changes of the model. This method delegates to the provider.

### hasDirtyContents

    boolean hasDirtyContents()

  Checks whether the model, associated with this project is dirty.

  Returns:
    true if model is dirty, false otherwise

### deleteElements

    void deleteElements(Collection<Object> objects)

  Deletes a collection of `Object`s by delegating the task to the provider.

  Parameters:
    `objects` - the collection of `Object`s to delete

### isOpen

    boolean isOpen()

  Whether an object is open or not.

  Returns:
    true if it is open, false otherwise

### open

    void open()

  This opens a closed object. If the object was already opened, nothing happens.

### close

    void close()

  This closes an opened object. If the object was already closed, nothing happens.

Overview | Package | Class | Use | Tree | Deprecated | Index
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2015. All Rights Reserved.